#-------------------------------------------------
#
# Project created by QtCreator 2012-02-14T22:26:18
#
#-------------------------------------------------

QT       += core gui opengl

TARGET = qmeshviewer
TEMPLATE = app


SOURCES += src/main.cpp\
        src/mainwindow.cpp \
    src/view3d.cpp \
    src/mesh.cpp \
    src/off_parser.cpp \
    src/stl_parser.cpp \
    src/obj_parser.cpp \
    src/3ds_parser.cpp \
    src/ply_parser.cpp \
    src/utils.cpp \
    src/filereader.cpp \
    src/stripify.cpp \
    src/filewriter.cpp

HEADERS  += src/mainwindow.h \
    src/view3d.h \
    src/mesh.h \
    src/vec.h \
    src/utils.h \
    src/filereader.h \
    src/3ds.h \
    src/stripify.h \
    src/filewriter.h \
    src/matrix.h

FORMS    += src/mainwindow.ui

LIBS    += -lGLU -lGL -lGLEW -lgomp

QMAKE_CXXFLAGS_RELEASE = -ffast-math -std=gnu++0x -O3 -fomit-frame-pointer -fopenmp
QMAKE_CXXFLAGS_DEBUG = -O0 -g -std=gnu++0x

TRANSLATIONS = \
    i18n/qmeshviewer_en.ts \
    i18n/qmeshviewer_fr.ts

RESOURCES += \
    icons/icons.qrc \
    i18n/i18n.qrc
